#[doc = "Register `F06` reader"]
pub struct R(crate::R<F06_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<F06_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<F06_SPEC>> for R {
    fn from(reader: crate::R<F06_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `F06` writer"]
pub struct W(crate::W<F06_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<F06_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<F06_SPEC>> for W {
    fn from(writer: crate::W<F06_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `F0` reader - Fifo 0"]
pub struct F0_R(crate::FieldReader<u8, u8>);
impl F0_R {
    pub(crate) fn new(bits: u8) -> Self {
        F0_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for F0_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `F0` writer - Fifo 0"]
pub struct F0_W<'a> {
    w: &'a mut W,
}
impl<'a> F0_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xff) | (value as u8 & 0xff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:7 - Fifo 0"]
    #[inline(always)]
    pub fn f0(&self) -> F0_R {
        F0_R::new((self.bits & 0xff) as u8)
    }
}
impl W {
    #[doc = "Bits 0:7 - Fifo 0"]
    #[inline(always)]
    pub fn f0(&mut self) -> F0_W {
        F0_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "FIFO 0\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [f06](index.html) module"]
pub struct F06_SPEC;
impl crate::RegisterSpec for F06_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [f06::R](R) reader structure"]
impl crate::Readable for F06_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [f06::W](W) writer structure"]
impl crate::Writable for F06_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets F06 to value 0"]
impl crate::Resettable for F06_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
